libvlc: Introduce VLC_DEPRECATED_API. And mark the libvlc_playlist_* and VLC_* API...